
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    byte byte0 = org.apache.commons.math3.dfp.Dfp.QNAN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)3);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    int i0 = org.apache.commons.math3.dfp.Dfp.ERR_SCALE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 32760);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    byte byte0 = org.apache.commons.math3.dfp.Dfp.INFINITE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)1);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    byte byte0 = org.apache.commons.math3.dfp.Dfp.FINITE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    int i0 = org.apache.commons.math3.dfp.Dfp.RADIX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 10000);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_OVERFLOW;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    int i0 = org.apache.commons.math3.dfp.Dfp.MIN_EXP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == (-32767));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.Dfp dfp1 = null;
    org.apache.commons.math3.dfp.Dfp dfp2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp3 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp0, dfp1, dfp2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    byte byte0 = org.apache.commons.math3.dfp.Dfp.SNAN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte0 == (byte)2);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_DIV_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    int i0 = org.apache.commons.math3.dfp.Dfp.MAX_EXP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 32768);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp1 = new org.apache.commons.math3.dfp.Dfp(dfp0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = dfp3.greaterThan(dfp4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_INEXACT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 16);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode0 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_DOWN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode0);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_UNDERFLOW;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 8);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    boolean b21 = dfp9.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp22 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp23 = org.apache.commons.math3.dfp.Dfp.copysign(dfp9, dfp22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(dfp6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getOne();
    double[] d_array4 = dfp3.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    dfpField1.clearIEEEFlags();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    int i0 = org.apache.commons.math3.dfp.DfpField.FLAG_INVALID;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp7.remainder(dfp18);
    boolean b20 = dfp7.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    int i5 = dfp4.log10K();
    boolean b7 = dfp4.equals((java.lang.Object)0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.divide(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.newInstance();
    boolean b9 = dfp7.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp36.power10(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    boolean b4 = dfp3.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.newInstance((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.add(dfp8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp3.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp28 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.divide(dfp28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp7.remainder(dfp18);
    boolean b20 = dfp18.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp43.power10K(8);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array49 = dfpField48.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField48.getE();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField48.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array55 = dfpField54.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField58.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.rint();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField58.newDfp(dfp65);
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField68.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array73 = dfpField72.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField72.getE();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.rint();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField68.newDfp(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp66.divide(dfp75);
    boolean b78 = dfp56.equals((java.lang.Object)dfp77);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp56.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp52.subtract(dfp80);
    boolean b82 = dfp46.equals((java.lang.Object)dfp80);
    int i83 = dfp46.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 8);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField6.newDfp(dfp13);
    boolean b15 = dfp4.lessThan(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp4.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp4.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField6.newDfp(dfp13);
    boolean b15 = dfp4.lessThan(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp4.rint();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.power10(32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = new org.apache.commons.math3.dfp.Dfp(dfp3);
    org.apache.commons.math3.dfp.Dfp dfp5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp6 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp3, dfp5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp12 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp10, dfp11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    int i12 = dfp9.log10();
    int i13 = dfp9.classify();
    int i14 = dfp9.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getE();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getPi();
    java.lang.String str20 = dfp19.toString();
    boolean b21 = dfp9.greaterThan(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.newInstance((byte)10);
    int i24 = dfp23.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "3.14159265359"+ "'", str20.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 10);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    int i24 = dfp23.intValue();
    boolean b25 = dfp23.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getOne();
    org.apache.commons.math3.dfp.Dfp dfp8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp9 = dfp6.remainder(dfp8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    int i6 = dfp5.getRadixDigits();
    java.lang.String str7 = dfp5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "0.7071067811865475"+ "'", str7.equals("0.7071067811865475"));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    boolean b35 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.ceil();
    int i37 = dfp33.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp();
    boolean b9 = dfp8.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    int i8 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 4);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)10);
    boolean b11 = dfp10.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp36 = new org.apache.commons.math3.dfp.Dfp(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp33.power10(32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    java.lang.String str20 = dfp19.toString();
    int i21 = dfp19.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "1.732050807569"+ "'", str20.equals("1.732050807569"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    int i6 = dfpField5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp((byte)2);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField10.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField10.setRoundingMode(roundingMode13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField10.newDfp((byte)3);
    boolean b17 = dfp8.equals((java.lang.Object)(byte)3);
    org.apache.commons.math3.dfp.Dfp dfp18 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.Dfp.copysign(dfp8, dfp18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getOne();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp7.subtract(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp15 = org.apache.commons.math3.dfp.Dfp.copysign(dfp12, dfp14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    boolean b8 = dfp7.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    dfpField1.setIEEEFlagsBits(10000);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    boolean b4 = dfp3.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp34.newInstance((byte)1);
    int i37 = dfp36.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.rint();
    org.apache.commons.math3.dfp.Dfp dfp6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp7 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField25.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode28 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField25.setRoundingMode(roundingMode28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField25.newDfp((byte)3);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField43.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array48 = dfpField47.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField47.getE();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp49.rint();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField43.newDfp(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp41.divide(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp50.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField25.newDfp(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp20.divide(dfp50);
    boolean b57 = dfp50.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getLn5();
    double d21 = dfp20.toDouble();
    boolean b22 = dfp20.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.609437912434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField2.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField2.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField6.newDfp(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField16.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getE();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.newDfp(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp14.divide(dfp23);
    boolean b26 = dfp4.equals((java.lang.Object)dfp25);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp25.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.power10(1);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    boolean b45 = dfp43.equals((java.lang.Object)0.0f);
    int i46 = dfp43.log10();
    int i47 = dfp43.classify();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField31.newDfp(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField31.getSqr3();
    java.lang.String str50 = dfp49.toString();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp49.negate();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp52 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp0, dfp29, dfp51);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "1.732050807569"+ "'", str50.equals("1.732050807569"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField6.newDfp(dfp13);
    boolean b15 = dfp4.lessThan(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp4.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.divide(dfp17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    int i7 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn2();
    boolean b10 = dfp9.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp6 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.getZero();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp4.newInstance((byte)100, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField1.getRoundingMode();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp15 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.divide(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp8.multiply(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp8.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3, (byte)10);
    dfpField1.setIEEEFlagsBits(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance((byte)0);
    int i7 = dfp4.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    int i35 = dfp5.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    double[] d_array6 = dfp5.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(dfp7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp22.divide(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.getOne();
    int i35 = dfp33.classify();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance();
    int i37 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp42.abs();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp42.multiply(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp10.dotrap((-1), "", dfp36, dfp42);
    int i50 = dfp49.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField52.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField56.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField56.getE();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp58.rint();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField52.newDfp(dfp59);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField62.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array67 = dfpField66.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField66.getE();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp68.rint();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField62.newDfp(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp60.divide(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.getOne();
    int i73 = dfp71.classify();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp71.newInstance();
    boolean b75 = dfp71.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp71.power10K((-1));
    double d78 = dfp71.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp49.multiply(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp80 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b81 = dfp71.unequal(dfp80);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp34.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.sqrt();
    int i12 = dfp10.intValue();
    boolean b13 = dfp10.isInfinite();
    int i14 = dfp10.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2147483647);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    boolean b35 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField39.getZero();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.getZero();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.newInstance(1.0d);
    int i46 = dfp45.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp45.getZero();
    org.apache.commons.math3.dfp.Dfp dfp48 = org.apache.commons.math3.dfp.Dfp.copysign(dfp37, dfp45);
    double[] d_array49 = dfp48.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField27.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.rint();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField27.newDfp(dfp34);
    boolean b37 = dfp35.equals((java.lang.Object)0.0f);
    int i38 = dfp35.log10();
    int i39 = dfp35.classify();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField23.newDfp(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField23.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField23.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField23.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp20.divide(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.sqrt();
    int i5 = dfp4.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.newInstance((byte)0, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    boolean b26 = dfp3.positiveOrNull();
    int i27 = dfp3.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    int i24 = dfp23.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b27 = dfp23.lessThan(dfp26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.sqrt();
    boolean b11 = dfp10.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp12 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp5, dfp10);
    int i13 = dfp10.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.Dfp dfp1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp2 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp0, dfp1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField29.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.rint();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField29.newDfp(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp27.divide(dfp36);
    boolean b39 = dfp17.equals((java.lang.Object)dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp17.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp13.subtract(dfp41);
    boolean b43 = dfp41.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp6.subtract(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp6.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    boolean b5 = dfp4.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField17.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField17.newDfp(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField27.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.rint();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField27.newDfp(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp25.divide(dfp34);
    boolean b37 = dfp15.equals((java.lang.Object)dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp15.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.subtract(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp4.add(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp11.divide(2);
    org.apache.commons.math3.dfp.DfpField dfpField44 = dfp11.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField44);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2();
    boolean b6 = dfp5.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.rint();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.power10K(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlags((-32772));
    java.lang.Class clazz6 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz6);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    double[] d_array10 = dfp9.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp3.multiply(4);
    int i28 = dfp27.log10K();
    double[] d_array29 = dfp27.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.power10(0);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField25.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.rint();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField25.newDfp(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp23.divide(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.getOne();
    boolean b36 = dfp10.lessThan(dfp35);
    boolean b37 = dfp10.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array47 = dfpField46.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField50.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array55 = dfpField54.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getE();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.rint();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField50.newDfp(dfp57);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField60.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField64.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField64.getE();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp66.rint();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField60.newDfp(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp58.divide(dfp67);
    boolean b70 = dfp48.equals((java.lang.Object)dfp69);
    int i71 = dfp48.getRadixDigits();
    boolean b72 = dfp48.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp44.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp48.negate();
    org.apache.commons.math3.dfp.Dfp dfp75 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b76 = dfp48.unequal(dfp75);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp((byte)3);
    double d13 = dfp12.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField15.getPi();
    boolean b19 = dfp12.unequal(dfp18);
    boolean b20 = dfp18.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.floor();
    boolean b12 = dfp11.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3, (byte)10);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getOne();
    boolean b10 = dfp9.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    java.lang.String str20 = dfp19.toString();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.negate();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField23.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField43.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array48 = dfpField47.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField47.getE();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp49.rint();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField43.newDfp(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp41.divide(dfp50);
    boolean b53 = dfp31.equals((java.lang.Object)dfp52);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp31.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp27.subtract(dfp55);
    boolean b57 = dfp55.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp55.ceil();
    org.apache.commons.math3.dfp.Dfp dfp59 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp19, dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "1.732050807569"+ "'", str20.equals("1.732050807569"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField11.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField16.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getE();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.newDfp(dfp23);
    boolean b25 = dfp14.lessThan(dfp23);
    boolean b26 = dfp14.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp14);
    double d30 = dfp29.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.69314718056d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField24.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField28.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField32.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getE();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.rint();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField28.newDfp(dfp35);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField38.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array43 = dfpField42.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField42.getE();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.rint();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField38.newDfp(dfp45);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp36.divide(dfp45);
    boolean b48 = dfp26.equals((java.lang.Object)dfp47);
    int i49 = dfp26.getRadixDigits();
    boolean b50 = dfp26.strictlyNegative();
    boolean b51 = dfp18.equals((java.lang.Object)b50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array54 = dfpField53.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField53.getE();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField53.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array60 = dfpField59.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField59.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField63.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array68 = dfpField67.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField67.getE();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp69.rint();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField63.newDfp(dfp70);
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField73.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField77 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array78 = dfpField77.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField77.getE();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp79.rint();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField73.newDfp(dfp80);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp71.divide(dfp80);
    boolean b83 = dfp61.equals((java.lang.Object)dfp82);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp61.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp57.subtract(dfp85);
    org.apache.commons.math3.dfp.Dfp dfp88 = dfp57.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp89 = dfp18.multiply(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    int i10 = dfp9.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(dfp9);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_UP;
    dfpField1.setRoundingMode(roundingMode12);
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp36 = new org.apache.commons.math3.dfp.Dfp(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField38.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array41 = dfpField38.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array44 = dfpField43.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField43.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.sqrt();
    int i47 = dfp46.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField38.newDfp(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp33.newInstance(dfp48);
    boolean b50 = dfp49.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    boolean b35 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField39.getZero();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.getZero();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.newInstance(1.0d);
    int i46 = dfp45.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp45.getZero();
    org.apache.commons.math3.dfp.Dfp dfp48 = org.apache.commons.math3.dfp.Dfp.copysign(dfp37, dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array53 = dfpField52.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField52.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField52.getE();
    dfpField52.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField52.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField52.getE();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField52.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array64 = dfpField63.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField63.getE();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField63.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField67 = dfp66.getField();
    int i68 = dfpField67.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField67.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField67.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array74 = dfpField73.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField73.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField73.getE();
    dfpField73.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfpField73.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField73.getE();
    org.apache.commons.math3.dfp.DfpField dfpField83 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array84 = dfpField83.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField83.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp86 = dfpField83.getE();
    dfpField83.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfpField83.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp91 = dfpField83.getE();
    org.apache.commons.math3.dfp.Dfp dfp92 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp71, dfp81, dfp91);
    org.apache.commons.math3.dfp.Dfp dfp93 = dfp48.dotrap(100, "hi!", dfp61, dfp71);
    int i94 = dfp71.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 4);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = dfpField8.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField8.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getOne();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp14.subtract(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp6.subtract(dfp14);
    int i22 = dfp6.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp6.abs();
    boolean b24 = dfp6.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    int i6 = dfpField5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10((-4));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    boolean b26 = dfp3.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp3.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getZero();
    boolean b7 = dfp5.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(100L);
    java.lang.String str7 = dfp6.toString();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp6.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp9);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "100."+ "'", str7.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    int i10 = dfp9.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(dfp9);
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    int i6 = dfp5.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = dfpField8.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField8.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getOne();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp5.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.power10((-32767));
    org.apache.commons.math3.dfp.Dfp dfp19 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.multiply(dfp19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp17.divide(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp26.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField1.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField1.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp34.newInstance((byte)1);
    boolean b37 = dfp34.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField46.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp52.rint();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField46.newDfp(dfp53);
    boolean b56 = dfp54.equals((java.lang.Object)0.0f);
    int i57 = dfp54.log10();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array60 = dfpField59.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField59.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField63.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array68 = dfpField67.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField67.getE();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp69.rint();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField63.newDfp(dfp70);
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField73.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField77 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array78 = dfpField77.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField77.getE();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp79.rint();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField73.newDfp(dfp80);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp71.divide(dfp80);
    boolean b83 = dfp61.equals((java.lang.Object)dfp82);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp82.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp85 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp44, dfp54, dfp82);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp85.negate();
    org.apache.commons.math3.dfp.Dfp dfp88 = dfp86.power10((-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp();
    int i9 = dfp8.getRadixDigits();
    boolean b10 = dfp8.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.divide(0);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp12 = new org.apache.commons.math3.dfp.Dfp(dfp11);
    boolean b13 = dfp12.strictlyPositive();
    boolean b14 = dfp3.lessThan(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField20.getE();
    dfpField20.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField20.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField20.getE();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField20.getPi();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp18.multiply(dfp29);
    boolean b31 = dfp12.lessThan(dfp29);
    int i32 = dfp12.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 4);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    boolean b19 = dfp18.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    java.lang.String str5 = dfp4.toString();
    int i6 = dfp4.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getTwo();
    dfpField8.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField8.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp14 = org.apache.commons.math3.dfp.Dfp.copysign(dfp4, dfp13);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "3.14159265359"+ "'", str5.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getTwo();
    double[] d_array13 = dfp12.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField2.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField2.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField2.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField7.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp5.nextAfter(dfp10);
    int i12 = dfp11.log10K();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp11.power10(1);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getE();
    dfpField16.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField16.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField16.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.newInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp27 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp0, dfp14, dfp26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    int i12 = dfp9.log10();
    int i13 = dfp9.classify();
    int i14 = dfp9.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getTwo();
    dfpField16.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp();
    boolean b22 = dfp9.greaterThan(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp9.power10K(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField10.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.rint();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField20.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField24.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.rint();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField20.newDfp(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField30.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.rint();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField30.newDfp(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp28.divide(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp18.add(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp18.power10(32768);
    double[] d_array43 = dfp42.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp8.multiply(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp8.newInstance(1.0d);
    boolean b47 = dfp8.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.getOne();
    boolean b9 = dfp8.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr2();
    java.lang.String str12 = dfp11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1.414213562373"+ "'", str12.equals("1.414213562373"));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    int i6 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp13 = new org.apache.commons.math3.dfp.Dfp(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp4.newInstance(dfp12);
    double d15 = dfp12.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp12.newInstance((byte)0, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.302585092994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField12.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getE();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.rint();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField12.newDfp(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField22.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField26.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getE();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.rint();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField22.newDfp(dfp29);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp20.divide(dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.getOne();
    int i33 = dfp31.classify();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp10.divide(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp35.newInstance((byte)0, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField10.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.rint();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField20.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField24.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.rint();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField20.newDfp(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField30.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.rint();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField30.newDfp(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp28.divide(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp18.add(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp18.power10(32768);
    double[] d_array43 = dfp42.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp8.multiply(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp8.multiply(16);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array49 = dfpField48.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField48.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField52.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField56.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField56.getE();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp58.rint();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField52.newDfp(dfp59);
    boolean b62 = dfp60.equals((java.lang.Object)0.0f);
    int i63 = dfp60.log10();
    int i64 = dfp60.classify();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField48.newDfp(dfp60);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField48.getSqr2Reciprocal();
    boolean b67 = dfp46.lessThan(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = dfpField8.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField8.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getOne();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp14.subtract(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp6.subtract(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.divide(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp30.multiply(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp14.subtract(dfp40);
    boolean b42 = dfp41.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp17.divide(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp26.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField1.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.getSqr3();
    dfpField1.setIEEEFlags(32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.power10K(0);
    int i10 = dfp9.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField46.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp52.rint();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField46.newDfp(dfp53);
    boolean b56 = dfp54.equals((java.lang.Object)0.0f);
    int i57 = dfp54.log10();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array60 = dfpField59.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField59.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField63.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array68 = dfpField67.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField67.getE();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp69.rint();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField63.newDfp(dfp70);
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField73.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField77 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array78 = dfpField77.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField77.getE();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp79.rint();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField73.newDfp(dfp80);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp71.divide(dfp80);
    boolean b83 = dfp61.equals((java.lang.Object)dfp82);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp82.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp85 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp44, dfp54, dfp82);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp44.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getSqr2Reciprocal();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp((byte)0);
    int i22 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField1.newDfp((byte)0, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp27 = dfp25.remainder(dfp26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(10);
    org.apache.commons.math3.dfp.Dfp dfp10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.multiply(dfp10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = new org.apache.commons.math3.dfp.Dfp(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(2);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp5 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp0, dfp3, dfp4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    boolean b24 = dfp20.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField28.getZero();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.getZero();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(1.0d);
    int i35 = dfp34.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp34.getZero();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp25.remainder(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp38 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp39 = dfp25.newInstance(dfp38);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    int i24 = dfp23.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField26.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField26.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.newInstance();
    boolean b31 = dfp23.unequal(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField33.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField38.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp36.nextAfter(dfp41);
    int i43 = dfp42.log10K();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.sqrt();
    boolean b45 = dfp23.greaterThan(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp23.newInstance((byte)100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp23.power10K(32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp13 = new org.apache.commons.math3.dfp.Dfp(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp4.newInstance(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.newInstance(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField13.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField10.newDfp(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField1.newDfp(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField31.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField35.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField35.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.rint();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField31.newDfp(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField41.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.rint();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField41.newDfp(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp39.divide(dfp48);
    boolean b51 = dfp29.equals((java.lang.Object)dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array54 = dfpField53.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField53.getE();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField53.getZero();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField53.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode58 = dfpField53.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField53.getZero();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField53.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField65.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array70 = dfpField69.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField69.getE();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.rint();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField65.newDfp(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField65.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField65.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField62.newDfp(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField53.newDfp(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp78 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp23, dfp29, dfp77);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp29.newInstance(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    int i6 = dfpField5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getE();
    dfpField11.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.getE();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField21.getE();
    dfpField21.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField21.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp9, dfp19, dfp29);
    int i31 = dfp19.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.getZero();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance(1.0d);
    int i8 = dfp7.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.getZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp7.negate();
    boolean b11 = dfp10.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.newInstance(2.302585092994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    int i10 = dfp9.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(dfp9);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp21.divide(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.getOne();
    int i34 = dfp32.classify();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField37.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode40 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField37.setRoundingMode(roundingMode40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField37.newDfp((byte)3);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField45.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array50 = dfpField49.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField49.getE();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp51.rint();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField45.newDfp(dfp52);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField55.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array60 = dfpField59.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField59.getE();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.rint();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField55.newDfp(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp53.divide(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp62.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField37.newDfp(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp32.divide(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp9.add(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    int i24 = dfp23.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp4.nextAfter(dfp9);
    int i11 = dfp10.log10K();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.power10(1);
    int i14 = dfp13.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(10);
    org.apache.commons.math3.dfp.Dfp dfp10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.nextAfter(dfp10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance();
    boolean b11 = dfp8.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.power10K(1);
    org.apache.commons.math3.dfp.DfpField dfpField7 = dfp4.getField();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField9.getZero();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.getZero();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp12.newInstance((byte)100, (byte)(-1));
    boolean b19 = dfp12.negativeOrNull();
    boolean b20 = dfp4.lessThan(dfp12);
    int i21 = dfp4.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.multiply((-32767));
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp35.sqrt();
    boolean b40 = dfp35.equals((java.lang.Object)'#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp4.nextAfter(dfp9);
    int i11 = dfp10.log10K();
    boolean b12 = dfp10.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.getOne();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.getZero();
    org.apache.commons.math3.dfp.Dfp dfp15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.divide(dfp15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    int i12 = dfp9.log10();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp9.newInstance(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp13.rint();
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp19.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    int i6 = dfpField5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10((-4));
    org.apache.commons.math3.dfp.Dfp dfp11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.nextAfter(dfp11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField10.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField10.newDfp(100L);
    java.lang.String str16 = dfp15.toString();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp15.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp19 = new org.apache.commons.math3.dfp.Dfp(dfp18);
    double[] d_array20 = dfp19.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField22.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField22.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode27 = dfpField22.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField22.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp8, dfp19, dfp29);
    boolean b32 = dfp30.equals((java.lang.Object)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100."+ "'", str16.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(1);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField10.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField10.newDfp(100L);
    java.lang.String str16 = dfp15.toString();
    boolean b17 = dfp8.unequal(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp18 = null;
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField20.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.abs();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField29.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.rint();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField29.newDfp(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField39.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array44 = dfpField43.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField43.getE();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.rint();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField39.newDfp(dfp46);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField49.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array54 = dfpField53.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField53.getE();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.rint();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField49.newDfp(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp47.divide(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp37.add(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp37.power10(32768);
    double[] d_array62 = dfp61.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp27.multiply(dfp61);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp61.newInstance(100L);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp66 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp15, dfp18, dfp61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "100."+ "'", str16.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp43.power10K(8);
    org.apache.commons.math3.dfp.Dfp dfp47 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp48 = dfp46.remainder(dfp47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    boolean b23 = dfp21.equals((java.lang.Object)0.0f);
    int i24 = dfp21.log10();
    int i25 = dfp21.classify();
    int i26 = dfp21.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField28.getPi();
    java.lang.String str32 = dfp31.toString();
    boolean b33 = dfp21.greaterThan(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp8.remainder(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array37 = dfpField36.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField36.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField36.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    boolean b43 = dfp42.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp31.nextAfter(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "3.14159265359"+ "'", str32.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.newInstance("100.");
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.rint();
    int i5 = dfp3.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.multiply((-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    boolean b26 = dfp3.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp3.getZero();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp3.newInstance(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp29.newInstance(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp3.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp3.reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField29.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField29.getOne();
    int i35 = dfpField29.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField29.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField29.newDfp(2.71828182846d);
    boolean b39 = dfp27.lessThan(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp27.newInstance(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField5.getZero();
    int i7 = dfp6.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array47 = dfpField46.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField50.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array55 = dfpField54.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getE();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.rint();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField50.newDfp(dfp57);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField60.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField64.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField64.getE();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp66.rint();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField60.newDfp(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp58.divide(dfp67);
    boolean b70 = dfp48.equals((java.lang.Object)dfp69);
    int i71 = dfp48.getRadixDigits();
    boolean b72 = dfp48.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp44.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp44.newInstance((byte)1, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    boolean b19 = dfp17.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField31.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField35.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField35.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.rint();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField31.newDfp(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField41.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.rint();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField41.newDfp(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp39.divide(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp29.add(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp17.nextAfter(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.power10K(8);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp7.nextAfter(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.getZero();
    java.lang.String str57 = dfp56.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "0."+ "'", str57.equals("0."));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.Dfp dfp1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp2 = org.apache.commons.math3.dfp.Dfp.copysign(dfp0, dfp1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getOne();
    dfpField1.clearIEEEFlags();
    dfpField1.setIEEEFlags(2);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField8.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField18.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getE();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.rint();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField18.newDfp(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField28.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField32.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getE();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.rint();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField28.newDfp(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp26.divide(dfp35);
    boolean b38 = dfp16.equals((java.lang.Object)dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp16.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp12.subtract(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField1.newDfp(dfp40);
    java.lang.String str43 = dfp42.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "9.210340371976"+ "'", str43.equals("9.210340371976"));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    boolean b35 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField37.getZero();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.getZero();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp40.abs();
    org.apache.commons.math3.dfp.Dfp dfp45 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp46 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp33, dfp40, dfp45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField29.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.rint();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField29.newDfp(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp27.divide(dfp36);
    boolean b39 = dfp17.equals((java.lang.Object)dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp17.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp13.subtract(dfp41);
    boolean b43 = dfp41.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp6.subtract(dfp41);
    double[] d_array45 = dfp41.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp41.power10(16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    java.lang.String str5 = dfp4.toString();
    int i6 = dfp4.log10K();
    java.lang.String str7 = dfp4.toString();
    int i8 = dfp4.log10();
    org.apache.commons.math3.dfp.Dfp dfp9 = new org.apache.commons.math3.dfp.Dfp(dfp4);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.power10(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "3.14159265359"+ "'", str5.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "3.14159265359"+ "'", str7.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.power10K(0);
    int i10 = dfp7.intValue();
    int i11 = dfp7.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getOne();
    dfpField7.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField7.newDfp((byte)2, (byte)1);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = dfpField7.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode14);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField1.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getOne();
    dfpField1.clearIEEEFlags();
    dfpField1.setIEEEFlags(2);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField8.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField18.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getE();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.rint();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField18.newDfp(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField28.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField32.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getE();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.rint();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField28.newDfp(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp26.divide(dfp35);
    boolean b38 = dfp16.equals((java.lang.Object)dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp16.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp12.subtract(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField1.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b44 = dfp40.greaterThan(dfp43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp7.remainder(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.nextAfter(dfp20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp3.subtract(dfp9);
    int i11 = dfp9.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    dfpField1.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = null;
    dfpField1.setRoundingMode(roundingMode6);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlags(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp17.divide(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp26.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField1.newDfp(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField33.getZero();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField33.getSqr2Reciprocal();
    int i38 = dfp37.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp37.newInstance((-32772));
    boolean b41 = dfp26.lessThan(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    boolean b19 = dfp17.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField31.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField35.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField35.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.rint();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField31.newDfp(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField41.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.rint();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField41.newDfp(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp39.divide(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp29.add(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp17.nextAfter(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.power10K(8);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp7.nextAfter(dfp54);
    org.apache.commons.math3.dfp.DfpField dfpField56 = dfp55.getField();
    org.apache.commons.math3.dfp.DfpField dfpField57 = dfp55.getField();
    int i58 = dfp55.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp32 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.divide(dfp32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField29.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.rint();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField29.newDfp(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp27.divide(dfp36);
    boolean b39 = dfp17.equals((java.lang.Object)dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp17.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp13.subtract(dfp41);
    boolean b43 = dfp41.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp6.subtract(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp41.newInstance(0);
    boolean b47 = dfp41.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField24.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField24.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array31 = dfpField30.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField34.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.rint();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField34.newDfp(dfp41);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField44.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array49 = dfpField48.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField48.getE();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp50.rint();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField44.newDfp(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp42.divide(dfp51);
    boolean b54 = dfp32.equals((java.lang.Object)dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp32.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp28.subtract(dfp56);
    boolean b58 = dfp56.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp56.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField62.getZero();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp65.getZero();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp65.newInstance(1.0d);
    int i69 = dfp68.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp68.getZero();
    org.apache.commons.math3.dfp.Dfp dfp71 = org.apache.commons.math3.dfp.Dfp.copysign(dfp60, dfp68);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp18.newInstance(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField2.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField2.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField2.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.sqrt();
    int i11 = dfp10.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField2.newDfp(dfp10);
    double[] d_array13 = dfp12.toSplitDouble();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp14 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp0, dfp12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    boolean b35 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp33.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.power10(32768);
    double[] d_array34 = dfp33.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    boolean b19 = dfp17.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField31.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField35.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField35.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.rint();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField31.newDfp(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField41.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.rint();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField41.newDfp(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp39.divide(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp29.add(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp17.nextAfter(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.power10K(8);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp7.nextAfter(dfp54);
    int i56 = dfp7.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array59 = dfpField58.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField58.getE();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField58.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField58.getOne();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField58.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField58.getSqr3Reciprocal();
    boolean b66 = dfp7.greaterThan(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp3.power10K((-32772));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField29.getE();
    dfpField29.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField29.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField29.getOne();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp3.divide(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array42 = dfpField41.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.abs();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp53 = new org.apache.commons.math3.dfp.Dfp(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp44.newInstance(dfp52);
    boolean b55 = dfp38.unequal(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp56 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp57 = dfp52.newInstance(dfp56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    boolean b19 = dfp17.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField31.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField35.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField35.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.rint();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField31.newDfp(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField41.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.rint();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField41.newDfp(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp39.divide(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp29.add(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp17.nextAfter(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.power10K(8);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp7.nextAfter(dfp54);
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array58 = dfpField57.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField57.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField61.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array66 = dfpField65.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField65.getE();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp67.rint();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField61.newDfp(dfp68);
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField71.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField75 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array76 = dfpField75.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField75.getE();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp77.rint();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField71.newDfp(dfp78);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp69.divide(dfp78);
    boolean b81 = dfp59.equals((java.lang.Object)dfp80);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp59.multiply(4);
    boolean b84 = dfp54.lessThan(dfp59);
    org.apache.commons.math3.dfp.Dfp dfp85 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp86 = dfp54.subtract(dfp85);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    double d3 = dfp2.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    boolean b24 = dfp22.equals((java.lang.Object)0.0f);
    int i25 = dfp22.log10();
    int i26 = dfp22.classify();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField10.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp8, dfp22);
    org.apache.commons.math3.dfp.DfpField dfpField30 = dfp22.getField();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField32.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField32.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode36 = dfpField32.getRoundingMode();
    dfpField30.setRoundingMode(roundingMode36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField30.newDfp(0);
    boolean b40 = dfp39.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)1);
    double[] d_array11 = dfp10.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    int i6 = dfpField5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField5.newDfp(0.69314718056d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField12.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getE();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.rint();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField12.newDfp(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField22.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField26.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getE();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.rint();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField22.newDfp(dfp29);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp20.divide(dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.getOne();
    int i33 = dfp31.classify();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp10.divide(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField37.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField37.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array41 = dfpField37.getLn2Split();
    dfpField37.setIEEEFlags(32760);
    org.apache.commons.math3.dfp.Dfp[] dfp_array44 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField37.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.getTwo();
    boolean b47 = dfp34.greaterThan(dfp45);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp34.power10K(32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    java.lang.Class clazz6 = dfpField1.getRuntimeClass();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)3, (byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    int i7 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3, (byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField8.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField12.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getE();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.rint();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField8.newDfp(dfp15);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField18.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getE();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.rint();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField18.newDfp(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp16.divide(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.getOne();
    int i29 = dfp27.classify();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.newInstance();
    int i31 = dfp30.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getLn10();
    boolean b37 = dfp32.lessThan(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp42.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp6, dfp36, dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    int i10 = dfp9.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(dfp9);
    double[] d_array12 = dfp11.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.negate();
    org.apache.commons.math3.dfp.Dfp dfp14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    boolean b5 = dfp4.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField17.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField17.newDfp(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField27.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.rint();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField27.newDfp(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp25.divide(dfp34);
    boolean b37 = dfp15.equals((java.lang.Object)dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp15.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.subtract(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp4.add(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp11.divide(2);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField45.getZero();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField45.getSqr2Reciprocal();
    boolean b50 = dfp43.lessThan(dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField52.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField56.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField56.getE();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp58.rint();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField52.newDfp(dfp59);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField62.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array67 = dfpField66.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField66.getE();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp68.rint();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField62.newDfp(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp60.divide(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.getOne();
    int i73 = dfp71.classify();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp71.newInstance();
    int i75 = dfp74.intValue();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp49.newInstance(dfp74);
    int i77 = dfp76.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 0);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = dfpField8.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField8.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getOne();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp14.subtract(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp6.subtract(dfp14);
    int i22 = dfp6.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp6.abs();
    java.lang.String str24 = dfp6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "2."+ "'", str24.equals("2."));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.power10K(3);
    int i6 = dfp3.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp8, dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField18.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getE();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField22.getZero();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.getZero();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp25.newInstance((byte)100, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp20.subtract(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    dfpField34.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField34.getSqr2Split();
    boolean b40 = dfp32.equals((java.lang.Object)dfp_array39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp32.power10K(1);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.multiply((-4));
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array47 = dfpField46.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField46.getE();
    dfpField46.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField46.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField46.getZero();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp13.dotrap(0, "", dfp44, dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp3.subtract(dfp55);
    boolean b57 = dfp56.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp22.divide(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.getOne();
    int i35 = dfp33.classify();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance();
    int i37 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp42.abs();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp42.multiply(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp10.dotrap((-1), "", dfp36, dfp42);
    int i50 = dfp49.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array53 = dfpField52.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField52.getTwo();
    dfpField52.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField52.newDfp();
    boolean b58 = dfp57.negativeOrNull();
    int i59 = dfp57.intValue();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp57.newInstance(100L);
    boolean b62 = dfp49.lessThan(dfp61);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp49.newInstance(0.313165528844d);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    boolean b35 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.ceil();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.reciprocal();
    int i38 = dfp36.classify();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp36.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    boolean b6 = dfp5.isZero();
    boolean b7 = dfp5.strictlyPositive();
    int i8 = dfp5.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    int i11 = dfp10.intValue();
    java.lang.String str12 = dfp10.toString();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.power10(10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "0."+ "'", str12.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    int i2 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    boolean b5 = dfp4.isZero();
    int i6 = dfp4.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    dfpField1.setIEEEFlagsBits(16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr3();
    boolean b9 = dfp8.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.newInstance((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.negate();
    int i14 = dfp8.log10K();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp4.remainder(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("0.7071067811865475");
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField1.newDfp((byte)2, (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.power10K(1);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp6.newInstance((byte)1, (byte)1);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.divide(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp17.divide(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp26.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField1.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.getSqr3();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp34 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp43.power10K(8);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array49 = dfpField48.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField48.getE();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField48.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array55 = dfpField54.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField58.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.rint();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField58.newDfp(dfp65);
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField68.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array73 = dfpField72.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField72.getE();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.rint();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField68.newDfp(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp66.divide(dfp75);
    boolean b78 = dfp56.equals((java.lang.Object)dfp77);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp56.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp52.subtract(dfp80);
    boolean b82 = dfp46.equals((java.lang.Object)dfp80);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp80.newInstance((byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField86 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array87 = dfpField86.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp88 = dfpField86.getE();
    org.apache.commons.math3.dfp.Dfp dfp89 = dfpField86.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField91 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array92 = dfpField91.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp93 = dfpField91.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp94 = dfp93.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp95 = dfp89.subtract(dfp94);
    org.apache.commons.math3.dfp.Dfp dfp96 = dfp84.add(dfp94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    boolean b11 = dfp8.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    int i12 = dfp9.log10();
    int i13 = dfp9.classify();
    int i14 = dfp9.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getTwo();
    dfpField16.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp();
    boolean b22 = dfp9.greaterThan(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(0);
    int i25 = dfp21.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 4);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField7.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode10 = dfpField7.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode10);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getZero();
    dfpField1.setIEEEFlags(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.getZero();
    boolean b6 = dfp5.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField7.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp4.nextAfter(dfp10);
    boolean b13 = dfp4.positiveOrNull();
    boolean b14 = dfp4.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    int i24 = dfp23.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField26.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField26.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.newInstance();
    boolean b31 = dfp23.unequal(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField33.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField38.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp36.nextAfter(dfp41);
    int i43 = dfp42.log10K();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.sqrt();
    boolean b45 = dfp23.greaterThan(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp23.newInstance((byte)100);
    double d48 = dfp23.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp49 = null;
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array52 = dfpField51.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField51.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField51.getE();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp57.newInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp59 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp23, dfp49, dfp57);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(100L);
    java.lang.String str7 = dfp6.toString();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp6.newInstance(100L);
    boolean b10 = dfp9.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField12.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getE();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.rint();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField12.newDfp(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField12.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField25.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.rint();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField25.newDfp(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp33.divide(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.getOne();
    int i46 = dfp44.classify();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.newInstance();
    int i48 = dfp47.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp53.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp53.abs();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp53.multiply(100);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp21.dotrap((-1), "", dfp47, dfp53);
    int i61 = dfp60.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array64 = dfpField63.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField63.getTwo();
    dfpField63.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField63.newDfp();
    boolean b69 = dfp68.negativeOrNull();
    int i70 = dfp68.intValue();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp68.newInstance(100L);
    boolean b73 = dfp60.lessThan(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp60.newInstance(0.313165528844d);
    boolean b76 = dfp9.greaterThan(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "100."+ "'", str7.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == true);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getZero();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getZero();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(1.0d);
    int i18 = dfp17.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField25.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.rint();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField25.newDfp(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp33.divide(dfp42);
    boolean b45 = dfp23.equals((java.lang.Object)dfp44);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp23.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp7.dotrap(10, "0.7071067811865475", dfp19, dfp47);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp19.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp19.newInstance((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp31.newInstance(1L);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField35.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField35.getOne();
    dfpField35.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField35.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp39.newInstance(100);
    org.apache.commons.math3.dfp.Dfp dfp42 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp33, dfp39);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField44.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array49 = dfpField48.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField48.getE();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp50.rint();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField44.newDfp(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField44.getLn5();
    int i54 = dfpField44.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField44.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField44.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp33.subtract(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getZero();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getZero();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(1.0d);
    int i18 = dfp17.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField25.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.rint();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField25.newDfp(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp33.divide(dfp42);
    boolean b45 = dfp23.equals((java.lang.Object)dfp44);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp23.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp7.dotrap(10, "0.7071067811865475", dfp19, dfp47);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp3.power10K((-32772));
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp27.divide(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    java.lang.String str5 = dfp4.toString();
    int i6 = dfp4.log10K();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.negate();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "3.14159265359"+ "'", str5.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp();
    int i10 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array47 = dfpField46.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField50.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array55 = dfpField54.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getE();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.rint();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField50.newDfp(dfp57);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField60.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField64.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField64.getE();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp66.rint();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField60.newDfp(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp58.divide(dfp67);
    boolean b70 = dfp48.equals((java.lang.Object)dfp69);
    int i71 = dfp48.getRadixDigits();
    boolean b72 = dfp48.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp44.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp44.negate();
    int i75 = dfp44.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getESplit();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(16);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp24.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp4.nextAfter(dfp9);
    int i11 = dfp10.log10K();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.power10(1);
    java.lang.String str14 = dfp10.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "1.000000000000e-131088"+ "'", str14.equals("1.000000000000e-131088"));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getSqr2();
    int i21 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField1.newDfp((byte)(-1), (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    java.lang.String str5 = dfp4.toString();
    int i6 = dfp4.log10K();
    java.lang.String str7 = dfp4.toString();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp4.newInstance((-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "3.14159265359"+ "'", str5.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "3.14159265359"+ "'", str7.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp7.remainder(dfp18);
    double d20 = dfp19.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.newInstance((byte)3, (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField25.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField25.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode30 = dfpField25.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField25.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp23.add(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.313165528844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    dfpField1.setIEEEFlagsBits(2);
    dfpField1.setIEEEFlagsBits(32768);
    java.lang.Class clazz15 = dfpField1.getRuntimeClass();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp17 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz15);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.multiply((-32767));
    java.lang.String str38 = dfp37.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "-1073446920."+ "'", str38.equals("-1073446920."));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    int i10 = dfp9.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(dfp9);
    dfpField1.setIEEEFlags((-32767));
    int i14 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getOne();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField7.newDfp((byte)(-1), (byte)100);
    boolean b13 = dfp12.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp4.subtract(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.power10K(1);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.power10K(16);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.power10K(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField16.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getE();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.newDfp(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField26.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array31 = dfpField30.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getE();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.rint();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField26.newDfp(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp24.divide(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.getOne();
    int i37 = dfp35.classify();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp35.newInstance();
    int i39 = dfp38.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance((byte)3, (byte)100);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp48.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp48.abs();
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array55 = dfpField54.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp57 = new org.apache.commons.math3.dfp.Dfp(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp48.newInstance(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp40.divide(dfp48);
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array62 = dfpField61.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField61.getE();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField61.getPi();
    java.lang.String str65 = dfp64.toString();
    int i66 = dfp64.log10K();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.negate();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp12.dotrap((-1), "hi!", dfp48, dfp64);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp48.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "3.14159265359"+ "'", str65.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.power10K(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp7.abs();
    boolean b11 = dfp7.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    int i6 = dfp5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance((-32772));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.floor();
    java.lang.String str10 = dfp5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "0.7071067811865475"+ "'", str10.equals("0.7071067811865475"));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    int i6 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getSqr2();
    int i21 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField34.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.rint();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField34.newDfp(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp32.divide(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp41.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array48 = dfpField47.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField47.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField47.getE();
    double d51 = dfp50.toDouble();
    boolean b52 = dfp45.unequal(dfp50);
    boolean b53 = dfp22.lessThan(dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array56 = dfpField55.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField55.getE();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField55.getPi();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp58.newInstance((byte)0);
    boolean b61 = dfp22.lessThan(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 2.71828182846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((-32767));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp9);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.multiply(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.divide(dfp8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    dfpField1.setIEEEFlagsBits(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    boolean b23 = dfp21.equals((java.lang.Object)0.0f);
    int i24 = dfp21.log10();
    int i25 = dfp21.classify();
    int i26 = dfp21.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField28.getPi();
    java.lang.String str32 = dfp31.toString();
    boolean b33 = dfp21.greaterThan(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp8.remainder(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "3.14159265359"+ "'", str32.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(2);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getE();
    int i3 = dfpField1.getRadixDigits();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 4);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    int i26 = dfp3.getRadixDigits();
    double[] d_array27 = dfp3.toSplitDouble();
    int i28 = dfp3.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array31 = dfpField30.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField30.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField30.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    boolean b44 = dfp33.lessThan(dfp42);
    boolean b45 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp3.divide(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array49 = dfpField48.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField48.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField48.getE();
    dfpField48.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField48.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField48.getE();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField48.getPi();
    org.apache.commons.math3.dfp.Dfp dfp59 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp46, dfp58, dfp59);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    boolean b10 = dfp9.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp3.power10K((-32772));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField29.getE();
    dfpField29.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField29.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField29.getOne();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp3.divide(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array42 = dfpField41.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.abs();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp53 = new org.apache.commons.math3.dfp.Dfp(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp44.newInstance(dfp52);
    boolean b55 = dfp38.unequal(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp52.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    java.lang.Class clazz9 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    boolean b35 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.newInstance();
    boolean b6 = dfp5.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.floor();
    org.apache.commons.math3.dfp.Dfp dfp8 = new org.apache.commons.math3.dfp.Dfp(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(32768);
    org.apache.commons.math3.dfp.Dfp dfp5 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = dfp4.unequal(dfp5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    int i24 = dfp23.getRadixDigits();
    boolean b25 = dfp23.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = dfpField13.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField13.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getOne();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp19.subtract(dfp24);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp10.subtract(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.abs();
    java.lang.String str28 = dfp26.toString();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.getOne();
    int i30 = dfp29.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "-3."+ "'", str28.equals("-3."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getZero();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getZero();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(1.0d);
    int i18 = dfp17.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField25.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.rint();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField25.newDfp(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp33.divide(dfp42);
    boolean b45 = dfp23.equals((java.lang.Object)dfp44);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp23.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp7.dotrap(10, "0.7071067811865475", dfp19, dfp47);
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField50.getZero();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField50.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode55 = dfpField50.getRoundingMode();
    java.lang.Class clazz56 = dfpField50.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp47.subtract(dfp57);
    java.lang.String str59 = dfp57.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "1.414213562373"+ "'", str59.equals("1.414213562373"));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getTwo();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField6.newDfp(dfp13);
    boolean b15 = dfp4.lessThan(dfp13);
    boolean b16 = dfp4.positiveOrNull();
    int i17 = dfp4.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.rint();
    boolean b6 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField8.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField12.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getE();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.rint();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField8.newDfp(dfp15);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp20.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.divide(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp15.multiply(dfp20);
    boolean b26 = dfp4.equals((java.lang.Object)dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1L));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    java.lang.String str5 = dfp4.toString();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "3.14159265359"+ "'", str5.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)1);
    dfpField1.setIEEEFlagsBits(32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp9);
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp9.getField();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.getSqr2Reciprocal();
    boolean b18 = dfp17.isZero();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp9.multiply(dfp17);
    boolean b20 = dfp19.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(0.0d);
    int i8 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp22.divide(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.getOne();
    int i35 = dfp33.classify();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance();
    int i37 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp42.abs();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp42.multiply(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp10.dotrap((-1), "", dfp36, dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array52 = dfpField51.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField51.getE();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField51.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField51.getOne();
    int i57 = dfpField51.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode58 = dfpField51.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField51.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField51.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp64 = null;
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array67 = dfpField66.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField66.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp68.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp61.dotrap(0, "", dfp64, dfp68);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp10.add(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = new org.apache.commons.math3.dfp.Dfp(dfp3);
    boolean b5 = dfp4.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField9.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.newDfp(100L);
    java.lang.String str15 = dfp14.toString();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.abs();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField26.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array31 = dfpField30.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getE();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.rint();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField26.newDfp(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField36.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array41 = dfpField40.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField40.getE();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.rint();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField36.newDfp(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField46.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp52.rint();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField46.newDfp(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp44.divide(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp34.add(dfp55);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp34.power10(32768);
    double[] d_array59 = dfp58.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp24.multiply(dfp58);
    org.apache.commons.math3.dfp.DfpField dfpField61 = dfp60.getField();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp4.dotrap(8, "hi!", dfp14, dfp60);
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField64.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField64.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp66.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp66.newInstance();
    boolean b69 = dfp68.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp68.floor();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp14.divide(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp68.power10K(2);
    java.lang.String str74 = dfp68.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "100."+ "'", str15.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "0."+ "'", str74.equals("0."));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    int i24 = dfp23.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp23.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getLn10();
    boolean b30 = dfp25.lessThan(dfp29);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp29.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.reciprocal();
    boolean b33 = dfp32.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.power10(32);
    boolean b6 = dfp3.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    boolean b21 = dfp9.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp9.getField();
    boolean b23 = dfp9.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp4.nextAfter(dfp9);
    int i11 = dfp10.log10K();
    boolean b12 = dfp10.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp10.getZero();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp15.newInstance("1.");
    int i18 = dfp15.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 4);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(32768);
    int i14 = dfp13.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 4);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(2);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfp2.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp36 = new org.apache.commons.math3.dfp.Dfp(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField38.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array41 = dfpField38.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array44 = dfpField43.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField43.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.sqrt();
    int i47 = dfp46.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField38.newDfp(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp33.newInstance(dfp48);
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array52 = dfpField51.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField51.getE();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField51.getZero();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.getZero();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(1.0d);
    int i58 = dfp57.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp57.getZero();
    org.apache.commons.math3.dfp.Dfp dfp60 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp61 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp33, dfp57, dfp60);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getZero();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.getZero();
    boolean b13 = dfp6.equals((java.lang.Object)dfp11);
    int i14 = dfp6.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    int i6 = dfp5.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField10.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.rint();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField20.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField24.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.rint();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField20.newDfp(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField30.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.rint();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField30.newDfp(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp28.divide(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp18.add(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp18.power10(32768);
    double[] d_array43 = dfp42.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp8.multiply(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp8.multiply(16);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp46.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp46.floor();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array56 = dfpField55.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField55.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField55.getE();
    org.apache.commons.math3.dfp.Dfp dfp59 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp53, dfp58);
    org.apache.commons.math3.dfp.DfpField dfpField60 = dfp58.getField();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField62.getE();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField62.getSqr2Reciprocal();
    boolean b67 = dfp66.isZero();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp58.multiply(dfp66);
    boolean b69 = dfp46.lessThan(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    int i6 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField9.getLn5Split();
    java.lang.Class clazz12 = dfpField9.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.getLn2();
    int i14 = dfpField9.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField9.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField9.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode18 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_DOWN;
    dfpField9.setRoundingMode(roundingMode18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField25.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode28 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField25.setRoundingMode(roundingMode28);
    dfpField21.setRoundingMode(roundingMode28);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField32.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField32.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp35.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.abs();
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array42 = dfpField41.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField45.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array50 = dfpField49.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField49.getE();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp51.rint();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField45.newDfp(dfp52);
    boolean b55 = dfp53.equals((java.lang.Object)0.0f);
    int i56 = dfp53.log10();
    int i57 = dfp53.classify();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField41.newDfp(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp53.rint();
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.Dfp.copysign(dfp39, dfp53);
    org.apache.commons.math3.dfp.DfpField dfpField61 = dfp53.getField();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array64 = dfpField63.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField63.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField63.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode67 = dfpField63.getRoundingMode();
    dfpField61.setRoundingMode(roundingMode67);
    dfpField21.setRoundingMode(roundingMode67);
    dfpField9.setRoundingMode(roundingMode67);
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array73 = dfpField72.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField72.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField72.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode76 = dfpField72.getRoundingMode();
    dfpField9.setRoundingMode(roundingMode76);
    dfpField1.setRoundingMode(roundingMode76);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.multiply((-32767));
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp35.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    int i24 = dfp23.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp23.getField();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getZero();
    boolean b10 = dfp9.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = new org.apache.commons.math3.dfp.Dfp(dfp3);
    boolean b5 = dfp4.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField7.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField12.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp10.nextAfter(dfp15);
    int i17 = dfp16.log10K();
    boolean b18 = dfp16.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp16.getZero();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp21.newInstance("1.");
    boolean b24 = dfp4.greaterThan(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode18 = dfpField13.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField13.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.getPi();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp21.newInstance(0.0d);
    boolean b24 = dfp11.lessThan(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp11.multiply(2147483647);
    boolean b27 = dfp26.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    dfpField1.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = null;
    dfpField1.setRoundingMode(roundingMode6);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(10L);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(1.609437912434d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField1.newDfp(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.newInstance();
    boolean b6 = dfp5.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField8.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField8.getOne();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField8.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField16.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getE();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.newDfp(dfp23);
    boolean b26 = dfp24.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField28.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField32.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getE();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.rint();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField28.newDfp(dfp35);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField38.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array43 = dfpField42.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField42.getE();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.rint();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField38.newDfp(dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField48.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array53 = dfpField52.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField52.getE();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.rint();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField48.newDfp(dfp55);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp46.divide(dfp55);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp36.add(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp24.nextAfter(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.power10K(8);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp14.nextAfter(dfp61);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp5.add(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp62.newInstance("3.14159265359");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3, (byte)10);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.newInstance(32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp13.divide(dfp22);
    boolean b25 = dfp3.equals((java.lang.Object)dfp24);
    int i26 = dfp3.getRadixDigits();
    double[] d_array27 = dfp3.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp3.newInstance("3.");
    double d30 = dfp3.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 2.302585092994d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    dfpField1.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn5();
    dfpField1.setIEEEFlags(1);
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp4.nextAfter(dfp9);
    int i11 = dfp10.log10K();
    boolean b12 = dfp10.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.getOne();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.getZero();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp13.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp13.newInstance((byte)0, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp9);
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp9.getField();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.getSqr2Reciprocal();
    boolean b18 = dfp17.isZero();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp9.multiply(dfp17);
    boolean b20 = dfp17.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("1.");
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr3Reciprocal();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getLn5();
    dfpField1.setIEEEFlagsBits((-1));
    int i23 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 4);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(1);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance("2.718281828459");
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.reciprocal();
    double[] d_array12 = dfp8.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp14 = dfp8.add(dfp13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b10 = dfp8.isInfinite();
    double[] d_array11 = dfp8.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField13.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField13.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField13.newDfp("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp8.divide(dfp26);
    boolean b28 = dfp26.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    int i6 = dfpField5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField5.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.getPi();
    int i13 = dfpField5.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 4);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField10.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.rint();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField20.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField24.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.rint();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField20.newDfp(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField30.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.rint();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField30.newDfp(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp28.divide(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp18.add(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp18.power10(32768);
    double[] d_array43 = dfp42.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp8.multiply(dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField46.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField50.getZero();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.getZero();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp53.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp53.newInstance((byte)100, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp48.subtract(dfp59);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    dfpField62.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array67 = dfpField62.getSqr2Split();
    boolean b68 = dfp60.equals((java.lang.Object)dfp_array67);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp42.subtract(dfp60);
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array72 = dfpField71.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField71.getE();
    dfpField71.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array76 = dfpField71.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField71.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField71.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField71.newDfp((byte)(-1), (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp83 = dfpField71.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp84 = new org.apache.commons.math3.dfp.Dfp(dfp83);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp84.newInstance((byte)3);
    boolean b87 = dfp69.unequal(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getZero();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.getZero();
    boolean b13 = dfp6.equals((java.lang.Object)dfp11);
    int i14 = dfp6.log10();
    int i15 = dfp6.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    boolean b5 = dfp4.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField17.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField17.newDfp(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField27.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.rint();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField27.newDfp(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp25.divide(dfp34);
    boolean b37 = dfp15.equals((java.lang.Object)dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp15.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.subtract(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp4.add(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp11.divide(2);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField45.getZero();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField45.getSqr2Reciprocal();
    boolean b50 = dfp43.lessThan(dfp49);
    boolean b51 = dfp43.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getZero();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.getZero();
    boolean b13 = dfp6.equals((java.lang.Object)dfp11);
    int i14 = dfp6.log10();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp6.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array37 = dfpField36.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField36.getE();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField36.getPi();
    java.lang.String str40 = dfp39.toString();
    int i41 = dfp39.log10K();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp39.negate();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp39.ceil();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp5.remainder(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp39.newInstance(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "3.14159265359"+ "'", str40.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    dfpField1.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    boolean b9 = dfp8.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array37 = dfpField36.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField36.getE();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField36.getPi();
    java.lang.String str40 = dfp39.toString();
    int i41 = dfp39.log10K();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp39.negate();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp39.ceil();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp5.remainder(dfp39);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array47 = dfpField46.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array48 = dfpField46.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField46.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField46.newDfp(100L);
    java.lang.String str52 = dfp51.toString();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp55 = new org.apache.commons.math3.dfp.Dfp(dfp54);
    double[] d_array56 = dfp55.toSplitDouble();
    boolean b57 = dfp39.greaterThan(dfp55);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp55.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "3.14159265359"+ "'", str40.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "100."+ "'", str52.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    int i10 = dfp9.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    boolean b23 = dfp21.equals((java.lang.Object)0.0f);
    int i24 = dfp21.log10();
    int i25 = dfp21.classify();
    int i26 = dfp21.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField28.getPi();
    java.lang.String str32 = dfp31.toString();
    boolean b33 = dfp21.greaterThan(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp8.remainder(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp31.newInstance((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField38.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array43 = dfpField42.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField42.getE();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.rint();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField38.newDfp(dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField48.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array53 = dfpField52.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField52.getE();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.rint();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField48.newDfp(dfp55);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField58.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.rint();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField58.newDfp(dfp65);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp56.divide(dfp65);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp46.add(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp46.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp31.multiply(dfp46);
    boolean b72 = dfp31.strictlyNegative();
    boolean b73 = dfp31.strictlyPositive();
    boolean b74 = dfp31.isZero();
    org.apache.commons.math3.dfp.Dfp dfp75 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp76 = dfp31.subtract(dfp75);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "3.14159265359"+ "'", str32.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.getLn2();
    int i9 = dfpField5.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField5.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.newDfp(dfp11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    dfpField1.setIEEEFlags(16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getE();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField22.getZero();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField22.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode27 = dfpField22.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode27);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.sqrt();
    boolean b5 = dfp4.positiveOrNull();
    int i6 = dfp4.log10K();
    boolean b7 = dfp4.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    boolean b19 = dfp17.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField31.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField35.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField35.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.rint();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField31.newDfp(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField41.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.rint();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField41.newDfp(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp39.divide(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp29.add(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp17.nextAfter(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.power10K(8);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp7.nextAfter(dfp54);
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array58 = dfpField57.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField57.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField61.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array66 = dfpField65.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField65.getE();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp67.rint();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField61.newDfp(dfp68);
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField71.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField75 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array76 = dfpField75.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField75.getE();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp77.rint();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField71.newDfp(dfp78);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp69.divide(dfp78);
    boolean b81 = dfp59.equals((java.lang.Object)dfp80);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp59.multiply(4);
    boolean b84 = dfp54.lessThan(dfp59);
    java.lang.String str85 = dfp54.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "1.000000000000e32"+ "'", str85.equals("1.000000000000e32"));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getZero();
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    int i6 = dfp5.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = dfpField8.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField8.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getOne();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp5.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.newInstance(0);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField25.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.rint();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField25.newDfp(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp33.divide(dfp42);
    boolean b45 = dfp23.equals((java.lang.Object)dfp44);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp44.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp49 = org.apache.commons.math3.dfp.Dfp.copysign(dfp17, dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp7.remainder(dfp18);
    double d20 = dfp18.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField26.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array31 = dfpField30.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getE();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.rint();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField26.newDfp(dfp33);
    boolean b36 = dfp34.equals((java.lang.Object)0.0f);
    int i37 = dfp34.log10();
    int i38 = dfp34.classify();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField22.newDfp(dfp34);
    dfpField22.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField22.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField45.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.getOne();
    boolean b49 = dfp43.unequal(dfp47);
    boolean b50 = dfp18.equals((java.lang.Object)dfp47);
    boolean b51 = dfp47.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.414213562373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField29.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.rint();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField29.newDfp(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp27.divide(dfp36);
    boolean b39 = dfp17.equals((java.lang.Object)dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp17.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp13.subtract(dfp41);
    boolean b43 = dfp41.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp6.subtract(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp41.newInstance(0);
    int i47 = dfp46.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array47 = dfpField46.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField50.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array55 = dfpField54.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getE();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.rint();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField50.newDfp(dfp57);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField60.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField64.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField64.getE();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp66.rint();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField60.newDfp(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp58.divide(dfp67);
    boolean b70 = dfp48.equals((java.lang.Object)dfp69);
    int i71 = dfp48.getRadixDigits();
    boolean b72 = dfp48.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp44.nextAfter(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp44.negate();
    org.apache.commons.math3.dfp.DfpField dfpField76 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array77 = dfpField76.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField76.getE();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField76.getPi();
    java.lang.String str80 = dfp79.toString();
    int i81 = dfp79.log10K();
    java.lang.String str82 = dfp79.toString();
    int i83 = dfp79.log10();
    boolean b84 = dfp44.lessThan(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "3.14159265359"+ "'", str80.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "3.14159265359"+ "'", str82.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == true);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)(-1), (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("1.");
    java.lang.Class clazz12 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("1.");
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField14.getZero();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField14.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode19 = dfpField14.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField14.newDfp(1);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField23.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField23.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField23.newDfp(100L);
    java.lang.String str29 = dfp28.toString();
    boolean b30 = dfp21.unequal(dfp28);
    boolean b31 = dfp12.unequal(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "100."+ "'", str29.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField7.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp4.nextAfter(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.multiply((-4));
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.power10K(2147483647);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.newInstance((-2));
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp16.power10(2);
    java.lang.String str21 = dfp20.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "100."+ "'", str21.equals("100."));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    boolean b19 = dfp13.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    boolean b4 = dfp3.isInfinite();
    int i5 = dfp3.intValue();
    boolean b6 = dfp3.isZero();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp3.newInstance((byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = new org.apache.commons.math3.dfp.Dfp(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    dfpField1.setIEEEFlagsBits(10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    int i7 = dfpField1.getIEEEFlags();
    int i8 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    int i10 = dfp9.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(dfp9);
    boolean b12 = dfp9.isInfinite();
    int i13 = dfp9.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 4);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    dfpField1.setIEEEFlagsBits(2);
    int i13 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField2.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getE();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.rint();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField2.newDfp(dfp9);
    boolean b12 = dfp10.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField34.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.rint();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField34.newDfp(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp32.divide(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp22.add(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp10.nextAfter(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.power10K(8);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array50 = dfpField49.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField49.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField49.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array56 = dfpField55.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField55.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField59.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array64 = dfpField63.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField63.getE();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp65.rint();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField59.newDfp(dfp66);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField69.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array74 = dfpField73.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField73.getE();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp75.rint();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField69.newDfp(dfp76);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp67.divide(dfp76);
    boolean b79 = dfp57.equals((java.lang.Object)dfp78);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp57.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp53.subtract(dfp81);
    boolean b83 = dfp47.equals((java.lang.Object)dfp81);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp47.newInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp85 = org.apache.commons.math3.dfp.Dfp.copysign(dfp0, dfp47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    java.lang.String str5 = dfp4.toString();
    int i6 = dfp4.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getTwo();
    dfpField8.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField8.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp14 = org.apache.commons.math3.dfp.Dfp.copysign(dfp4, dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getE();
    dfpField16.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField16.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.getE();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField16.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField27.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.rint();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField27.newDfp(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField37.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array42 = dfpField41.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.rint();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField37.newDfp(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp35.divide(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp46.getOne();
    int i48 = dfp46.classify();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp46.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp25.divide(dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array53 = dfpField52.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array54 = dfpField52.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField52.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array56 = dfpField52.getLn2Split();
    dfpField52.setIEEEFlags(32760);
    org.apache.commons.math3.dfp.Dfp[] dfp_array59 = dfpField52.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField52.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp60.getTwo();
    boolean b62 = dfp49.greaterThan(dfp60);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp14.multiply(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "3.14159265359"+ "'", str5.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    dfpField1.setIEEEFlags(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    boolean b24 = dfp20.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp20.power10K((-1));
    double d27 = dfp20.toDouble();
    boolean b28 = dfp20.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp20.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp31 = new org.apache.commons.math3.dfp.Dfp(dfp20);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp31.newInstance(2147483647);
    org.apache.commons.math3.dfp.Dfp dfp34 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.add(dfp34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    boolean b4 = dfp3.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.newInstance((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.power10K(32760);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.power10K((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.floor();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    boolean b23 = dfp21.equals((java.lang.Object)0.0f);
    int i24 = dfp21.log10();
    int i25 = dfp21.classify();
    int i26 = dfp21.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField28.getPi();
    java.lang.String str32 = dfp31.toString();
    boolean b33 = dfp21.greaterThan(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp8.remainder(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp31.newInstance((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField38.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array43 = dfpField42.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField42.getE();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.rint();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField38.newDfp(dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField48.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array53 = dfpField52.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField52.getE();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.rint();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField48.newDfp(dfp55);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField58.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.rint();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField58.newDfp(dfp65);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp56.divide(dfp65);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp46.add(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp46.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp31.multiply(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp46.power10((-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "3.14159265359"+ "'", str32.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getOne();
    dfpField1.setIEEEFlags((-4));
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp((byte)0, (byte)0);
    dfpField1.setIEEEFlagsBits(10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField17.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField17.newDfp(dfp24);
    boolean b27 = dfp25.equals((java.lang.Object)0.0f);
    int i28 = dfp25.log10();
    int i29 = dfp25.classify();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField13.newDfp(dfp25);
    dfpField13.setIEEEFlags(16);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField34.getZero();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField34.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode39 = dfpField34.getRoundingMode();
    dfpField13.setRoundingMode(roundingMode39);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField13.getPi();
    org.apache.commons.math3.dfp.Dfp dfp42 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp10, dfp41, dfp42);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    dfpField1.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField9.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.newDfp(100L);
    java.lang.String str15 = dfp14.toString();
    boolean b16 = dfp14.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp7.subtract(dfp14);
    boolean b18 = dfp17.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "100."+ "'", str15.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    java.lang.Class clazz10 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.sqrt();
    boolean b5 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.abs();
    int i7 = dfp4.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.power10(0);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField15.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.rint();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField25.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.rint();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField25.newDfp(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp23.divide(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.getOne();
    boolean b36 = dfp10.lessThan(dfp35);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField38.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array45 = dfpField44.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField44.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField48.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array53 = dfpField52.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField52.getE();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.rint();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField48.newDfp(dfp55);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField58.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.rint();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField58.newDfp(dfp65);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp56.divide(dfp65);
    boolean b68 = dfp46.equals((java.lang.Object)dfp67);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp46.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp42.subtract(dfp70);
    boolean b72 = dfp70.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp70.ceil();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp73.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp10.nextAfter(dfp73);
    int i76 = dfp73.classify();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp73.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    boolean b21 = dfp9.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField22 = dfp9.getField();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(2);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField22.newDfp(dfp25);
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField22.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    boolean b23 = dfp20.positiveOrNull();
    int i24 = dfp20.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField26.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getOne();
    dfpField26.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField26.getOne();
    boolean b31 = dfp20.equals((java.lang.Object)dfpField26);
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField26.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField26.getLn10();
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField26.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField26.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn5();
    boolean b5 = dfp4.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getPi();
    int i3 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 4);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField10.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.rint();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(dfp17);
    boolean b20 = dfp18.equals((java.lang.Object)0.0f);
    int i21 = dfp18.log10();
    int i22 = dfp18.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField6.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField6.getLn5();
    double d26 = dfp25.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp4.multiply(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.newInstance(100.0d);
    boolean b30 = dfp25.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.609437912434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlags(32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    boolean b24 = dfp20.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField28.getZero();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.getZero();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(1.0d);
    int i35 = dfp34.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp34.getZero();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp25.remainder(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField39.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array44 = dfpField43.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField43.getE();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.rint();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField39.newDfp(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp48 = new org.apache.commons.math3.dfp.Dfp(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField51.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField51.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField51.newDfp((byte)3, (byte)10);
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField51.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField51.getPi();
    org.apache.commons.math3.dfp.Dfp dfp59 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp25, dfp48, dfp58);
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array62 = dfpField61.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField61.getE();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField61.getPi();
    java.lang.String str65 = dfp64.toString();
    int i66 = dfp64.log10K();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.negate();
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp64.multiply(dfp70);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp48.newInstance(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "3.14159265359"+ "'", str65.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)3);
    boolean b11 = dfp10.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    int i7 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField1.getRoundingMode();
    dfpField1.setIEEEFlags(4);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp(2.302585092994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("1.");
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField1.getPiSplit();
    int i14 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 16);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("1.");
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    dfpField1.setIEEEFlags(32760);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.getTwo();
    double d11 = dfp9.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.7071067811865d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    boolean b19 = dfp17.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField31.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField35.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField35.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.rint();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField31.newDfp(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField41.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.rint();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField41.newDfp(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp39.divide(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp29.add(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp17.nextAfter(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.power10K(8);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp7.nextAfter(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.getZero();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array60 = dfpField59.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField59.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField59.getE();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp62.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp62.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp62.abs();
    java.lang.String str67 = dfp62.toString();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp62.getTwo();
    boolean b69 = dfp56.greaterThan(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "2.718281828459"+ "'", str67.equals("2.718281828459"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    int i12 = dfp9.log10();
    int i13 = dfp9.classify();
    int i14 = dfp9.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getE();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getPi();
    java.lang.String str20 = dfp19.toString();
    boolean b21 = dfp9.greaterThan(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.newInstance((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField25.getZero();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField25.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode30 = dfpField25.getRoundingMode();
    java.lang.Class clazz31 = dfpField25.getRuntimeClass();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField33.getZero();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.getZero();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField25.newDfp(dfp37);
    java.lang.Class clazz39 = dfpField25.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField25.newDfp(0L);
    org.apache.commons.math3.dfp.Dfp dfp42 = org.apache.commons.math3.dfp.Dfp.copysign(dfp23, dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "3.14159265359"+ "'", str20.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(2);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getE();
    boolean b3 = dfp2.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance();
    boolean b11 = dfp10.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField29.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.rint();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField29.newDfp(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp27.divide(dfp36);
    boolean b39 = dfp17.equals((java.lang.Object)dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp17.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp13.subtract(dfp41);
    boolean b43 = dfp41.positiveOrNull();
    boolean b44 = dfp7.equals((java.lang.Object)dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getLn5();
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField1.newDfp(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    int i28 = dfpField27.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField27.newDfp((byte)2);
    boolean b31 = dfp20.lessThan(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.rint();
    double[] d_array33 = dfp30.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.power10(32768);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getOne();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField37.newDfp((byte)(-1), (byte)100);
    boolean b43 = dfp42.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.newInstance(10L);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField47.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array52 = dfpField51.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField51.getE();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.rint();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField47.newDfp(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField47.newDfp((byte)3);
    double d59 = dfp58.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp58.floor();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp33.dotrap(2147483647, "2.302585092993", dfp42, dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    double d5 = dfp4.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    boolean b24 = dfp22.equals((java.lang.Object)0.0f);
    int i25 = dfp22.log10();
    int i26 = dfp22.classify();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField10.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp8, dfp22);
    org.apache.commons.math3.dfp.DfpField dfpField30 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.newDfp(10.0d);
    java.lang.Class clazz33 = dfpField30.getRuntimeClass();
    dfpField30.setIEEEFlags((-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz33);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.multiply(64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    int i6 = dfpField5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.sqrt();
    int i15 = dfp14.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.newInstance((byte)0, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp9.newInstance(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    dfpField1.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(1.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.rint();
    int i6 = dfp5.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-4));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    int i24 = dfp23.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp23.getField();
    dfpField25.setIEEEFlagsBits((-4));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField25.getESplit();
    int i29 = dfpField25.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode30 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_EVEN;
    dfpField25.setRoundingMode(roundingMode30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode30);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.newInstance((byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField4.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField4.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode6);
    java.lang.Class clazz8 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp((byte)0);
    boolean b22 = dfp21.strictlyPositive();
    int i23 = dfp21.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 4);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    int i4 = dfpField1.getRadixDigits();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    int i32 = dfp9.getRadixDigits();
    double[] d_array33 = dfp9.toSplitDouble();
    int i34 = dfp9.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array37 = dfpField36.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField36.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField36.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField41.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getE();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.rint();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField41.newDfp(dfp48);
    boolean b50 = dfp39.lessThan(dfp48);
    boolean b51 = dfp39.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp9.divide(dfp39);
    int i53 = dfp52.intValue();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField1.newDfp(dfp52);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField56.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField56.getE();
    dfpField56.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode61 = null;
    dfpField56.setRoundingMode(roundingMode61);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField56.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp64.newInstance((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp54.remainder(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getE();
    dfpField8.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField8.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField8.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp4.add(dfp18);
    boolean b20 = dfp18.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp36 = new org.apache.commons.math3.dfp.Dfp(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField38.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array41 = dfpField38.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array44 = dfpField43.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField43.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.sqrt();
    int i47 = dfp46.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField38.newDfp(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp33.newInstance(dfp48);
    int i50 = dfp33.log10();
    org.apache.commons.math3.dfp.DfpField dfpField51 = dfp33.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField51);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    java.lang.Class clazz7 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField9.getZero();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.getZero();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getE();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getZero();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField16.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode21 = dfpField16.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField16.newDfp(1);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.getSqr2Reciprocal();
    boolean b25 = dfp14.unequal(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    boolean b4 = dfp3.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.newInstance((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp3.negate();
    boolean b9 = dfp8.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField11.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField16.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getE();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.newDfp(dfp23);
    boolean b25 = dfp14.lessThan(dfp23);
    boolean b26 = dfp14.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.newInstance((byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.ceil();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp21.power10(2147483647);
    boolean b24 = dfp21.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.newInstance(10.0d);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.multiply((-2));
    int i15 = dfp12.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 10);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    int i28 = dfpField27.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField27.newDfp((byte)2);
    boolean b31 = dfp20.lessThan(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.rint();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField34.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField34.getSqr2();
    boolean b38 = dfp37.strictlyPositive();
    boolean b39 = dfp30.unequal(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField20.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode24 = dfpField20.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField20.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getOne();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp26.subtract(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp18.subtract(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array46 = dfpField45.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp47.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp47.divide(0);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp42.multiply(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp26.subtract(dfp52);
    boolean b54 = dfp11.lessThan(dfp53);
    int i55 = dfp53.log10K();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp53.power10(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    dfpField15.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField15.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField15.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField15.newDfp((byte)(-1), (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField15.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField1.newDfp(dfp27);
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)(-1), (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    boolean b8 = dfp7.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField7.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp4.nextAfter(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.multiply((-4));
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.multiply(10000);
    org.apache.commons.math3.dfp.Dfp dfp17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.remainder(dfp17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.newInstance("100.");
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField17.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField17.newDfp(dfp24);
    boolean b27 = dfp25.equals((java.lang.Object)0.0f);
    int i28 = dfp25.log10();
    int i29 = dfp25.classify();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField13.newDfp(dfp25);
    dfpField13.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField13.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.divide(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    int i22 = dfp20.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance();
    boolean b24 = dfp20.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp20.power10K((-1));
    double d27 = dfp20.toDouble();
    boolean b28 = dfp20.negativeOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array31 = dfpField30.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.newInstance();
    boolean b35 = dfp34.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField37.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField37.getOne();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField37.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField45.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array50 = dfpField49.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField49.getE();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp51.rint();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField45.newDfp(dfp52);
    boolean b55 = dfp53.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField57.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array62 = dfpField61.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField61.getE();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp63.rint();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField57.newDfp(dfp64);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField67.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array72 = dfpField71.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField71.getE();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp73.rint();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField67.newDfp(dfp74);
    org.apache.commons.math3.dfp.DfpField dfpField77 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField77.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField81 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array82 = dfpField81.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfpField81.getE();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp83.rint();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField77.newDfp(dfp84);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp75.divide(dfp84);
    org.apache.commons.math3.dfp.Dfp dfp87 = dfp65.add(dfp86);
    org.apache.commons.math3.dfp.Dfp dfp88 = dfp53.nextAfter(dfp87);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp87.power10K(8);
    org.apache.commons.math3.dfp.Dfp dfp91 = dfp43.nextAfter(dfp90);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp34.add(dfp91);
    org.apache.commons.math3.dfp.Dfp dfp93 = dfp20.nextAfter(dfp34);
    boolean b94 = dfp20.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField10.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.rint();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField20.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField24.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.rint();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField20.newDfp(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField30.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.rint();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField30.newDfp(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp28.divide(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp18.add(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp18.power10(32768);
    double[] d_array43 = dfp42.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp8.multiply(dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField46.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField50.getZero();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.getZero();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp53.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp53.newInstance((byte)100, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp48.subtract(dfp59);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    dfpField62.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array67 = dfpField62.getSqr2Split();
    boolean b68 = dfp60.equals((java.lang.Object)dfp_array67);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp42.subtract(dfp60);
    int i70 = dfp69.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 4);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(dfp9);
    boolean b14 = dfp9.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp16 = dfp9.divide(dfp15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField4.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField4.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode6);
    java.lang.Class clazz8 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.power10(0);
    int i14 = dfp10.log10();
    int i15 = dfp10.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance((byte)100);
    boolean b14 = dfp11.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getSqr2();
    int i21 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField34.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.rint();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField34.newDfp(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp32.divide(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp41.power10K((-1));
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array48 = dfpField47.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField47.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField47.getE();
    double d51 = dfp50.toDouble();
    boolean b52 = dfp45.unequal(dfp50);
    boolean b53 = dfp22.lessThan(dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField55.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array60 = dfpField59.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField59.getE();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.rint();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField55.newDfp(dfp62);
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField65.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array70 = dfpField69.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField69.getE();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.rint();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField65.newDfp(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp63.divide(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.getOne();
    int i76 = dfp74.classify();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp74.newInstance();
    boolean b78 = dfp74.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp74.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp74.abs();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp22.add(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 2.71828182846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField2.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField2.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField2.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.power10K(1);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.power10K(16);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField34.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.rint();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField34.newDfp(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp32.divide(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.getOne();
    int i45 = dfp43.classify();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp43.newInstance();
    int i47 = dfp46.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array50 = dfpField49.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField49.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField49.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp52.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp52.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp52.abs();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp52.multiply(100);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp20.dotrap((-1), "", dfp46, dfp52);
    boolean b60 = dfp5.greaterThan(dfp20);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp61 = org.apache.commons.math3.dfp.Dfp.copysign(dfp0, dfp20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(100L);
    java.lang.String str7 = dfp6.toString();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp6.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp9);
    boolean b11 = dfp10.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "100."+ "'", str7.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField22.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField22.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField22.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField32.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getE();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField32.getZero();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.getZero();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp35.newInstance(1.0d);
    int i39 = dfp38.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array43 = dfpField42.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField42.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField46.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp52.rint();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField46.newDfp(dfp53);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField56.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array61 = dfpField60.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField60.getE();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp62.rint();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField56.newDfp(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp54.divide(dfp63);
    boolean b66 = dfp44.equals((java.lang.Object)dfp65);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp44.rint();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp44.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp28.dotrap(10, "0.7071067811865475", dfp40, dfp68);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp20.add(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp69.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField11.getLn5Split();
    java.lang.Class clazz14 = dfpField11.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getLn2();
    int i16 = dfpField11.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField11.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.getPi();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField11.newDfp((byte)1);
    boolean b22 = dfp9.unequal(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField31.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array36 = dfpField35.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField35.getE();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.rint();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField31.newDfp(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp29.divide(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp19.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp19.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp44 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp9, dfp43);
    int i45 = dfp44.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 2147483647);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(2);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField12.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getE();
    dfpField12.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField12.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField12.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField20.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField20.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.newDfp(100L);
    java.lang.String str26 = dfp25.toString();
    boolean b27 = dfp25.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp18.subtract(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp8.newInstance(dfp28);
    int i30 = dfp28.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "100."+ "'", str26.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    boolean b24 = dfp22.equals((java.lang.Object)0.0f);
    int i25 = dfp22.log10();
    int i26 = dfp22.classify();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField10.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp8, dfp22);
    org.apache.commons.math3.dfp.DfpField dfpField30 = dfp22.getField();
    org.apache.commons.math3.dfp.DfpField dfpField31 = dfp22.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField31);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(2);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField14.newDfp("3.");
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField19.getE();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.abs();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField32.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array37 = dfpField36.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField36.getE();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp38.rint();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField32.newDfp(dfp39);
    boolean b42 = dfp40.equals((java.lang.Object)0.0f);
    int i43 = dfp40.log10();
    int i44 = dfp40.classify();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField28.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp40.rint();
    org.apache.commons.math3.dfp.Dfp dfp47 = org.apache.commons.math3.dfp.Dfp.copysign(dfp26, dfp40);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp40.floor();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp8.dotrap(32768, "", dfp17, dfp40);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp17.power10K(32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance((byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField8.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField8.getOne();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField8.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.power10K(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.abs();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp4.multiply(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    boolean b34 = dfp32.equals((java.lang.Object)0.0f);
    int i35 = dfp32.log10();
    int i36 = dfp32.classify();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField20.newDfp(dfp32);
    dfpField20.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField20.newDfp((byte)0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp18.newInstance(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getZero();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.getZero();
    boolean b13 = dfp6.equals((java.lang.Object)dfp11);
    boolean b14 = dfp6.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getZero();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getZero();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(1.0d);
    int i18 = dfp17.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField25.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.rint();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField25.newDfp(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp33.divide(dfp42);
    boolean b45 = dfp23.equals((java.lang.Object)dfp44);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp23.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp7.dotrap(10, "0.7071067811865475", dfp19, dfp47);
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField50.getE();
    dfpField50.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField50.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField50.getPi();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp19.remainder(dfp60);
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array64 = dfpField63.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField63.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField63.getE();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp66.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp66.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp66.abs();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array73 = dfpField72.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField72.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField76 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField76.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField80 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array81 = dfpField80.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfpField80.getE();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp82.rint();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfpField76.newDfp(dfp83);
    boolean b86 = dfp84.equals((java.lang.Object)0.0f);
    int i87 = dfp84.log10();
    int i88 = dfp84.classify();
    org.apache.commons.math3.dfp.Dfp dfp89 = dfpField72.newDfp(dfp84);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp84.rint();
    org.apache.commons.math3.dfp.Dfp dfp91 = org.apache.commons.math3.dfp.Dfp.copysign(dfp70, dfp84);
    org.apache.commons.math3.dfp.DfpField dfpField92 = dfp84.getField();
    org.apache.commons.math3.dfp.Dfp dfp93 = dfp60.newInstance(dfp84);
    double[] d_array94 = dfp60.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = dfpField13.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField13.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getOne();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp19.subtract(dfp24);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp10.subtract(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.abs();
    java.lang.String str28 = dfp26.toString();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField45.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array50 = dfpField49.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField49.getE();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp51.rint();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField45.newDfp(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp43.divide(dfp52);
    boolean b55 = dfp33.equals((java.lang.Object)dfp54);
    boolean b56 = dfp33.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp57 = new org.apache.commons.math3.dfp.Dfp(dfp33);
    boolean b58 = dfp29.greaterThan(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "-3."+ "'", str28.equals("-3."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp9.divide(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    int i28 = dfpField27.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField27.newDfp((byte)2);
    boolean b31 = dfp20.lessThan(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp22.divide(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.getOne();
    int i35 = dfp33.classify();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance();
    int i37 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp42.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp42.abs();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp42.multiply(100);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp10.dotrap((-1), "", dfp36, dfp42);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp10.negate();
    org.apache.commons.math3.dfp.DfpField dfpField51 = dfp50.getField();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp50.newInstance(2);
    double d54 = dfp50.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == (-0.7071067811865d));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField10.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.rint();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField20.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField24.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.rint();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField20.newDfp(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField30.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.rint();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField30.newDfp(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp28.divide(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp18.add(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp18.power10(32768);
    double[] d_array43 = dfp42.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp8.multiply(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp8.multiply(16);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp46.divide(4);
    boolean b49 = dfp46.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField5.getSqr2Reciprocal();
    double[] d_array7 = dfp6.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField10.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField14.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.rint();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField20.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField24.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getE();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.rint();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField20.newDfp(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField30.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.rint();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField30.newDfp(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp28.divide(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp18.add(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp18.power10(32768);
    double[] d_array43 = dfp42.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp8.multiply(dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField46.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array51 = dfpField50.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField50.getE();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField50.getZero();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.getZero();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp53.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp53.newInstance((byte)100, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp48.subtract(dfp59);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    dfpField62.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array67 = dfpField62.getSqr2Split();
    boolean b68 = dfp60.equals((java.lang.Object)dfp_array67);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp42.subtract(dfp60);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp60.rint();
    int i71 = dfp70.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == (-4));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    boolean b4 = dfp3.isInfinite();
    int i5 = dfp3.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getE();
    dfpField7.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField7.getSqr2Reciprocal();
    boolean b14 = dfp3.lessThan(dfp13);
    boolean b15 = dfp13.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.getZero();
    double d6 = dfp5.toDouble();
    boolean b7 = dfp5.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp(2.302585092994d);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr2();
    boolean b12 = dfp11.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.sqrt();
    int i5 = dfp4.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.newInstance((byte)0, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp4.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    dfpField1.setIEEEFlagsBits(10000);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = null;
    dfpField1.setRoundingMode(roundingMode9);
    int i11 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getSqr2Split();
    java.lang.Class clazz13 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz13);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    boolean b5 = dfp4.isZero();
    double d6 = dfp4.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 3.14159265359d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp9.add(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField37.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array42 = dfpField41.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.rint();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField37.newDfp(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField47.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array52 = dfpField51.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField51.getE();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.rint();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField47.newDfp(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp45.divide(dfp54);
    boolean b57 = dfp35.equals((java.lang.Object)dfp56);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp35.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.Dfp.copysign(dfp9, dfp35);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp9.power10K(64);
    int i63 = dfp9.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 4);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    boolean b5 = dfp4.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField17.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getE();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField17.newDfp(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField27.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.rint();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField27.newDfp(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp25.divide(dfp34);
    boolean b37 = dfp15.equals((java.lang.Object)dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp15.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.subtract(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp4.add(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp11.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getPiSplit();
    dfpField1.setIEEEFlagsBits(0);
    int i14 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 4);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    boolean b35 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField37.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array42 = dfpField41.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.rint();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField37.newDfp(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField47.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array52 = dfpField51.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField51.getE();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.rint();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField47.newDfp(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp45.divide(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.getOne();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp33.nextAfter(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance("3.14159265359");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    boolean b24 = dfp22.equals((java.lang.Object)0.0f);
    int i25 = dfp22.log10();
    int i26 = dfp22.classify();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField10.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.Dfp.copysign(dfp8, dfp22);
    org.apache.commons.math3.dfp.DfpField dfpField30 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField30.newDfp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    java.lang.String str5 = dfp4.toString();
    int i6 = dfp4.log10K();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.negate();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp4.ceil();
    boolean b9 = dfp4.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "3.14159265359"+ "'", str5.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp44.newInstance(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp13.rint();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp13.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    java.lang.Class clazz7 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField24.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.rint();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField24.newDfp(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField34.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField38.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getE();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.rint();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField34.newDfp(dfp41);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField44.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array49 = dfpField48.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField48.getE();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp50.rint();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField44.newDfp(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp42.divide(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp32.add(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp32.power10(32768);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp56.newInstance(32760);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp58.multiply((-32767));
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.sqrt();
    boolean b62 = dfp22.lessThan(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.getZero();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp4.newInstance((byte)100, (byte)(-1));
    boolean b11 = dfp4.negativeOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp22 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp16, dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField26.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array31 = dfpField30.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getE();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField30.getZero();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.getZero();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp33.newInstance((byte)100, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp28.subtract(dfp39);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array43 = dfpField42.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField42.getE();
    dfpField42.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array47 = dfpField42.getSqr2Split();
    boolean b48 = dfp40.equals((java.lang.Object)dfp_array47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp40.power10K(1);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp50.multiply((-4));
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array55 = dfpField54.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField54.getE();
    dfpField54.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField54.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField54.getZero();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp21.dotrap(0, "", dfp52, dfp62);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp52.getZero();
    boolean b65 = dfp4.lessThan(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp52.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    dfpField1.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = null;
    dfpField1.setRoundingMode(roundingMode6);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    boolean b8 = dfp7.positiveOrNull();
    boolean b9 = dfp7.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = dfp4.getField();
    int i6 = dfpField5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.newDfp(dfp8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField2.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getE();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.rint();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField2.newDfp(dfp9);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField2.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField2.getSqr2();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField2.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField2.newDfp(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp16 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp0, dfp15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b10 = dfp8.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.newInstance("0.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField27.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.rint();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField27.newDfp(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField37.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array42 = dfpField41.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.rint();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField37.newDfp(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp35.divide(dfp44);
    boolean b47 = dfp25.equals((java.lang.Object)dfp46);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp25.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp25.negate();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField52.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField56.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField56.getE();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp58.rint();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField52.newDfp(dfp59);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField52.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField52.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField52.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField52.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.getOne();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.newInstance((-1L));
    boolean b68 = dfp25.greaterThan(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp21.divide(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField10.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.newInstance("hi!");
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField19.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField19.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField19.getLn2Split();
    int i24 = dfpField19.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField19.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp26 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp8, dfp17, dfp25);
    boolean b27 = dfp17.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance(2);
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField12.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField12.getE();
    dfpField12.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField12.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField12.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField20.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField20.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField20.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.newDfp(100L);
    java.lang.String str26 = dfp25.toString();
    boolean b27 = dfp25.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp18.subtract(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp8.newInstance(dfp28);
    int i30 = dfp28.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "100."+ "'", str26.equals("100."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-98));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(2);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp8, dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField18.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getE();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField22.getZero();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.getZero();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp25.newInstance((byte)100, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp20.subtract(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField34.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getE();
    dfpField34.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField34.getSqr2Split();
    boolean b40 = dfp32.equals((java.lang.Object)dfp_array39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp32.power10K(1);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.multiply((-4));
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array47 = dfpField46.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField46.getE();
    dfpField46.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField46.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField46.getZero();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp13.dotrap(0, "", dfp44, dfp54);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp3.subtract(dfp55);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array59 = dfpField58.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField58.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField58.getE();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField64.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField64.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField64.getE();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp67.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp61.nextAfter(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp69.multiply((-4));
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp3.add(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp72.newInstance((byte)0, (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)3, (byte)10);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getOne();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField9.getSqr2Reciprocal();
    boolean b16 = dfp7.equals((java.lang.Object)dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfp2.getZero();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp2.getOne();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.power10(28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    dfpField1.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)3);
    int i11 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getTwo();
    java.lang.String str13 = dfp12.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "2."+ "'", str13.equals("2."));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getE();
    dfpField6.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField6.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField6.newDfp((byte)1);
    int i16 = dfp15.intValue();
    org.apache.commons.math3.dfp.Dfp dfp17 = org.apache.commons.math3.dfp.Dfp.copysign(dfp4, dfp15);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp4.power10(32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    int i10 = dfp9.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(dfp9);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_UP;
    dfpField1.setRoundingMode(roundingMode12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField1.newDfp("3.");
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField22.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField26.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getE();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.rint();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField22.newDfp(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField32.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array37 = dfpField36.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField36.getE();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp38.rint();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField32.newDfp(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp30.divide(dfp39);
    boolean b42 = dfp20.equals((java.lang.Object)dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp20.power10K((-32772));
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp16.nextAfter(dfp44);
    java.lang.String str46 = dfp44.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "1.000000000000e-131088"+ "'", str46.equals("1.000000000000e-131088"));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    dfpField1.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    boolean b7 = dfp6.negativeOrNull();
    double d8 = dfp6.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp6.newInstance((-1.0d));
    boolean b11 = dfp10.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    java.lang.Class clazz6 = dfpField1.getRuntimeClass();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField14.newDfp((-1L));
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode19 = dfpField14.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode19);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)(-1), (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp("3.14159265359");
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = null;
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp17 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp11, dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField25.getZero();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.getZero();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp28.newInstance((byte)100, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp23.subtract(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    dfpField37.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array42 = dfpField37.getSqr2Split();
    boolean b43 = dfp35.equals((java.lang.Object)dfp_array42);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp35.power10K(1);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp45.multiply((-4));
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array50 = dfpField49.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField49.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField49.getE();
    dfpField49.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField49.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField49.getZero();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp16.dotrap(0, "", dfp47, dfp57);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp59 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp5, dfp6, dfp57);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    int i5 = dfp4.intValue();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn5();
    int i11 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr2Reciprocal();
    int i13 = dfp12.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp("2.718281828459");
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.multiply(0);
    boolean b11 = dfp10.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField5.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField5.newDfp(dfp12);
    boolean b15 = dfp13.equals((java.lang.Object)0.0f);
    int i16 = dfp13.log10();
    int i17 = dfp13.classify();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.ceil();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField27.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField31.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField31.getE();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.rint();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField27.newDfp(dfp34);
    boolean b37 = dfp35.equals((java.lang.Object)0.0f);
    int i38 = dfp35.log10();
    int i39 = dfp35.classify();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField23.newDfp(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField23.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.ceil();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp41.reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField45.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField45.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp48.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp48.newInstance("hi!");
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array55 = dfpField54.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array56 = dfpField54.getLn5Split();
    java.lang.Class clazz57 = dfpField54.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField54.getLn2();
    int i59 = dfpField54.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField54.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp52.newInstance(dfp60);
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array64 = dfpField63.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array65 = dfpField63.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField63.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField68.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array73 = dfpField72.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField72.getE();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.rint();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField68.newDfp(dfp75);
    boolean b77 = dfp66.lessThan(dfp75);
    boolean b78 = dfp66.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp79 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp52, dfp66);
    boolean b80 = dfp43.unequal(dfp52);
    boolean b81 = dfp21.unequal(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == true);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getTwo();
    java.lang.String str4 = dfp3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "2."+ "'", str4.equals("2."));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    int i12 = dfp9.log10();
    int i13 = dfp9.classify();
    int i14 = dfp9.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField16.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getE();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getPi();
    java.lang.String str20 = dfp19.toString();
    boolean b21 = dfp9.greaterThan(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.newInstance((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp19.rint();
    int i25 = dfp24.log10();
    double[] d_array26 = dfp24.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "3.14159265359"+ "'", str20.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_UP;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField9.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField13.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.newDfp(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp17.divide(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp26.power10K((-1));
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField1.newDfp(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField11.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.rint();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField21.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array26 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField25.getE();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.rint();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField21.newDfp(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp19.divide(dfp28);
    boolean b31 = dfp9.equals((java.lang.Object)dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp9.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp5.subtract(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp5.newInstance(16);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp5.floor();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getTwo();
    dfpField39.setIEEEFlagsBits(16);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField39.newDfp();
    boolean b45 = dfp44.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp5.subtract(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField48.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array53 = dfpField52.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField52.getE();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.rint();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField48.newDfp(dfp55);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField58.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField62.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField62.getE();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.rint();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField58.newDfp(dfp65);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp56.divide(dfp65);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp67.getOne();
    int i69 = dfp67.classify();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp67.newInstance();
    int i71 = dfp70.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array74 = dfpField73.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField73.getE();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField73.getPi();
    java.lang.String str77 = dfp76.toString();
    int i78 = dfp76.log10K();
    java.lang.String str79 = dfp76.toString();
    boolean b80 = dfp70.equals((java.lang.Object)str79);
    boolean b81 = dfp44.unequal(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "3.14159265359"+ "'", str77.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str79 + "' != '" + "3.14159265359"+ "'", str79.equals("3.14159265359"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField6.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp9);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField18.getZero();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.getZero();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(1.0d);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp21.newInstance((byte)100, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp16.subtract(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array31 = dfpField30.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getE();
    dfpField30.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array35 = dfpField30.getSqr2Split();
    boolean b36 = dfp28.equals((java.lang.Object)dfp_array35);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp28.power10K(1);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.multiply((-4));
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array43 = dfpField42.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField42.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField42.getE();
    dfpField42.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField42.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField42.getZero();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp9.dotrap(0, "", dfp40, dfp50);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp9.ceil();
    boolean b53 = dfp9.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getZero();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getZero();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(1.0d);
    int i18 = dfp17.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField21.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField25.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField29.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField29.getE();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.rint();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField25.newDfp(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField35.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField39.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getE();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.rint();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField35.newDfp(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp33.divide(dfp42);
    boolean b45 = dfp23.equals((java.lang.Object)dfp44);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp23.rint();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp23.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp7.dotrap(10, "0.7071067811865475", dfp19, dfp47);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp19.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp19.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField1.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField5.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField5.getE();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.rint();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    boolean b11 = dfp9.equals((java.lang.Object)0.0f);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField13.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField17.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField17.getE();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField13.newDfp(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField23.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array28 = dfpField27.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField27.getE();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.rint();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField23.newDfp(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField33.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array38 = dfpField37.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField37.getE();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.rint();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField33.newDfp(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp31.divide(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp21.add(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp9.nextAfter(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp9.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField6.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp4.nextAfter(dfp9);
    int i11 = dfp10.log10K();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField14.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField18.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getE();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField14.newDfp(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField14.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array25 = dfpField14.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField14.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getE();
    dfpField28.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField28.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField28.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField28.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField28.newDfp((byte)(-1), (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField28.newDfp((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField14.newDfp(dfp40);
    boolean b42 = dfp10.greaterThan(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-32772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    int i5 = dfp4.intValue();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.divide(1);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getE();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp((byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField15.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField19.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField23.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getE();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.rint();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField19.newDfp(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField((-32767));
    dfpField29.setIEEEFlagsBits((-1));
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField((-32767));
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getE();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.rint();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField29.newDfp(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp27.divide(dfp36);
    boolean b39 = dfp17.equals((java.lang.Object)dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp17.multiply(4);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp13.subtract(dfp41);
    boolean b43 = dfp41.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp41.ceil();
    boolean b45 = dfp7.equals((java.lang.Object)dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);

  }

}
